﻿#region License
/*
Kangaroo Library for C# and .NET
Copyright (c) 2013 Dimension Engineering LLC
http://www.dimensionengineering.com/kangaroo

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE
USE OR PERFORMANCE OF THIS SOFTWARE.
*/
#endregion

using System;

namespace DimensionEngineering.Kangaroo
{
    /// <summary>
    /// Flags that modify the behavior of a motion request.
    /// </summary>
    [Flags]
    public enum KangarooMoveFlags
    {
        /// <summary>
        /// Normal behavior.
        /// </summary>
        Default = 0x00,

        /// <summary>
        /// Do not apply the speed limit and speed ramping source settings. By default, the speed limit comes from Kangaroo's potentiometers.
        /// </summary>
        NoDefaultLimits = 0x08,

        /// <summary>
        /// Use raw units. For analog, raw units are millivolts. For quadrature, 4 raw units equal 1 line.
        /// </summary>
        RawUnits = 0x20,

        SequenceCode = 0x40
    }
}
